using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Even_Number
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Metoda pobiera argument w postaci liczby całkowitej i zwraca true,
        // jeśli jest ona parzysta. W przeciwnym razie wartością zwrotną jest false.
        private bool IsEven(int number)
        {
            // Zmienna lokalna przechowująca wartość true lub false.
            bool numberIsEven;

            // Ustalenie, czy liczba jest parzysta.
            if (number % 2 == 0)
            {
                numberIsEven = true;
            }
            else
            {
                numberIsEven = false;
            }

            // Zwrot wyniku.
            return numberIsEven;
        }

        private void evenOrOddButton_Click(object sender, EventArgs e)
        {
            int number;     // Zmienna przechowująca liczbę.

            // Pobranie liczby.
            if (int.TryParse(numberTextBox.Text, out number))
            {
                // Ustalenie, czy liczba jest parzysta.
                if (IsEven(number))
                {
                    MessageBox.Show("Liczba jest parzysta.");
                }
                else
                {
                    MessageBox.Show("Liczba jest nieparzysta.");
                }
            }
            else
            {
                // Wyświetlenie komunikatu błędu.
                MessageBox.Show("Podaj liczbę całkowitą.");
            }
        }

        private void exitButton_Click(object sender, EventArgs e)
        {
            // Zamknięcie formularza.
            this.Close();
        }
    }
}
